Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.hql
Class HqlAnalyzeBaseWalker

    java.lang.Object
      antlr.TreeParser
          org.makumba.providers.query.hql.HqlAnalyzeBaseWalker

All Implemented Interfaces:
  HqlAnalyzeTokenTypes

Direct Known Subclasses:
  HqlAnalyzeWalker

    public class HqlAnalyzeBaseWalker

extends antlr.TreeParser
implements HqlAnalyzeTokenTypes

Hibernate Query Language Type Analyzer.
Inspired from hql-sql.g by Joshua Davis

Author:
  Cristian Bogdan

Field Summary
`static String[]` | `_tokenNames`
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`(package private) Map` | `aliasTypes`
`(package private) Map` | `paramTypes`
`(package private) Stack` | `stackAliases`
`(package private) ObjectType` | `typeComputer`

Fields inherited from class antlr.TreeParser
`_retTree, astFactory, ASTNULL, inputState, returnAST, tokenNames, traceDepth`

Fields inherited from interface org.makumba.providers.query.hql.HqlAnalyzeTokenTypes
`AGGREGATE, ALIAS, ALIAS_REF, ALL, AND, ANY, AS, ASCENDING, AVG, BETWEEN, BOGUS, BOTH, CASE, CASE2, CLASS, CLOSE, CLOSE_BRACKET, COLON, COMMA, CONCAT, CONSTANT, CONSTRUCTOR, COUNT, DELETE, DESCENDING, DISTINCT, DIV, DOT, ELEMENTS, ELSE, EMPTY, END, EOF, EQ, ESCAPE, ESCqs, EXISTS, EXPONENT, EXPR_LIST, FALSE, FETCH, FILTER_ENTITY, FILTERS, FLOAT_SUFFIX, FROM, FROM_FRAGMENT, FULL, GE, GROUP, GT, HAVING, HEX_DIGIT, ID_LETTER, ID_START_LETTER, IDENT, IMPLIED_FROM, IN, IN_LIST, INDEX_OP, INDICES, INNER, INSERT, INTO, IS, IS_NOT_NULL, IS_NULL, JAVA_CONSTANT, JOIN, JOIN_FRAGMENT, LE, LEADING, LEFT, LEFT_OUTER, LIKE, LITERAL_ascending, LITERAL_by, LITERAL_descending, LT, MAX, MEMBER, METHOD_CALL, METHOD_NAME, MIN, MINUS, NAMED_PARAM, NE, NEW, NOT, NOT_BETWEEN, NOT_IN, NOT_LIKE, NULL, NULL_TREE_LOOKAHEAD, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJECT, OF, ON, OPEN, OPEN_BRACKET, OR, ORDER, ORDER_ELEMENT, OUTER, PARAM, PLUS, PROPERTIES, PROPERTY_REF, QUERY, QUOTED_STRING, RANGE, RIGHT, RIGHT_OUTER, ROW_STAR, SELECT, SELECT_CLAUSE, SELECT_COLUMNS, SELECT_EXPR, SELECT_FROM, SET, SOME, SQL_NE, SQL_TOKEN, STAR, SUM, THEN, THETA_JOINS, TRAILING, TRUE, UNARY_MINUS, UNARY_PLUS, UNION, UPDATE, VECTOR_EXPR, VERSIONED, WEIRD_IDENT, WHEN, WHERE, WITH, WS`

Constructor Summary
`HqlAnalyzeBaseWalker()`

Method Summary
`void` | `addrExpr(antlr.collections.AST _t, boolean root)`
`void` | `addrExprLhs(antlr.collections.AST _t)`
`(package private) void` | `afterStatementCompletion(String statementName)`
`void` | `aggregateExpr(antlr.collections.AST _t)`
`void` | `aliasedSelectExpr(antlr.collections.AST _t)`
`void` | `aliasRef(antlr.collections.AST _t)`
`void` | `arithmeticExpr(antlr.collections.AST _t)`
`void` | `assignment(antlr.collections.AST _t)`
`(package private) void` | `beforeStatement(String statementName, int statementType)`
`void` | `caseExpr(antlr.collections.AST _t)`
`(package private) void` | `checkLogicalExprInSelect(antlr.collections.AST logical)`
`void` | `collectionFunction(antlr.collections.AST _t)`
`void` | `collectionFunctionOrSubselect(antlr.collections.AST _t)`
`void` | `comparisonExpr(antlr.collections.AST _t)`
`void` | `constant(antlr.collections.AST _t)`
`void` | `constructor(antlr.collections.AST _t)`
`void` | `count(antlr.collections.AST _t)`
`void` | `deleteStatement(antlr.collections.AST _t)`
`(package private) antlr.collections.AST` | `deriveAggregateExpr(antlr.collections.AST ae, antlr.collections.AST ag)`
`(package private) antlr.collections.AST` | `deriveArithmethicExpr(antlr.collections.AST ae)`
`(package private) antlr.collections.AST` | `deriveFunctionCallExpr(antlr.collections.AST fc, antlr.collections.AST e)`
`(package private) antlr.collections.AST` | `deriveLogicalExpr(antlr.collections.AST le)`
`(package private) antlr.collections.AST` | `deriveParamExpr(antlr.collections.AST pe)`
`(package private) antlr.collections.AST` | `deriveQueryExpr(antlr.collections.AST ae)`
`void` | `expr(antlr.collections.AST _t)`
`void` | `exprOrSubquery(antlr.collections.AST _t)`
`void` | `fromClause(antlr.collections.AST _t)`
`void` | `fromElement(antlr.collections.AST _t)`
`void` | `fromElementList(antlr.collections.AST _t)`
`void` | `functionCall(antlr.collections.AST _t)`
`int` | `getCurrentClauseType()`
`int` | `getCurrentTopLevelClauseType()`
`(package private) void` | `getReturnTypes(antlr.collections.AST a, Stack stackAliases)`
`int` | `getStatementType()`
`void` | `groupClause(antlr.collections.AST _t)`
`void` | `identifier(antlr.collections.AST _t)`
`void` | `inRhs(antlr.collections.AST _t)`
`void` | `insertablePropertySpec(antlr.collections.AST _t)`
`void` | `insertStatement(antlr.collections.AST _t)`
`void` | `intoClause(antlr.collections.AST _t)`
`boolean` | `isComparativeExpressionClause()`
`boolean` | `isInCase()`
`boolean` | `isInFrom()`
`boolean` | `isInFunctionCall()`
`boolean` | `isInSelect()`
`boolean` | `isSelectStatement()`
`boolean` | `isSubQuery()`
`void` | `joinElement(antlr.collections.AST _t)`
`void` | `joinType(antlr.collections.AST _t)`
`void` | `literal(antlr.collections.AST _t)`
`void` | `logicalExpr(antlr.collections.AST _t)`
`void` | `newValue(antlr.collections.AST _t)`
`void` | `numericInteger(antlr.collections.AST _t)`
`void` | `orderClause(antlr.collections.AST _t)`
`void` | `orderExprs(antlr.collections.AST _t)`
`void` | `parameter(antlr.collections.AST _t)`
`String` | `path(antlr.collections.AST _t)`
`void` | `pathAsIdent(antlr.collections.AST _t)`
`void` | `propertyName(antlr.collections.AST _t)`
`void` | `propertyRef(antlr.collections.AST _t)`
`void` | `propertyRefLhs(antlr.collections.AST _t)`
`void` | `query(antlr.collections.AST _t)`
`void` | `selectClause(antlr.collections.AST _t)`
`void` | `selectExpr(antlr.collections.AST _t)`
`void` | `selectExprList(antlr.collections.AST _t)`
`void` | `selectStatement(antlr.collections.AST _t)`
`protected void` | `setAlias(antlr.collections.AST se, antlr.collections.AST i)`
`(package private) void` | `setAliasType(antlr.collections.AST alias, String path)`
`void` | `setClause(antlr.collections.AST _t)`
`void` | `statement(antlr.collections.AST _t)`
`void` | `updateStatement(antlr.collections.AST _t)`
`void` | `whereClause(antlr.collections.AST _t)`
`void` | `withClause(antlr.collections.AST _t)`

Methods inherited from class antlr.TreeParser
`getAST, getASTFactory, getTokenName, getTokenNames, match, match, matchNot, panic, reportError, reportError, reportWarning, setASTFactory, setASTNodeClass, setASTNodeType, traceIn, traceIndent, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeComputer

    ObjectType typeComputer

### aliasTypes

    Map aliasTypes

### paramTypes

    Map paramTypes

### stackAliases

    Stack stackAliases

### _tokenNames

    public static final String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

Constructor Detail

### HqlAnalyzeBaseWalker

    public HqlAnalyzeBaseWalker()

Method Detail

### deriveArithmethicExpr

    antlr.collections.AST deriveArithmethicExpr(antlr.collections.AST ae)
                                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### deriveQueryExpr

    antlr.collections.AST deriveQueryExpr(antlr.collections.AST ae)
                                    throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### deriveAggregateExpr

    antlr.collections.AST deriveAggregateExpr(antlr.collections.AST ae,
                                              antlr.collections.AST ag)
                                        throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### deriveLogicalExpr

    antlr.collections.AST deriveLogicalExpr(antlr.collections.AST le)
                                      throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### deriveParamExpr

    antlr.collections.AST deriveParamExpr(antlr.collections.AST pe)
                                    throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### deriveFunctionCallExpr

    antlr.collections.AST deriveFunctionCallExpr(antlr.collections.AST fc,
                                                 antlr.collections.AST e)
                                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### setAliasType

    void setAliasType(antlr.collections.AST alias,
                      String path)
                throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### getReturnTypes

    void getReturnTypes(antlr.collections.AST a,
                        Stack stackAliases)
                  throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### checkLogicalExprInSelect

    void checkLogicalExprInSelect(antlr.collections.AST logical)
                            throws antlr.SemanticException

  Throws:
    `antlr.SemanticException`

### isSubQuery

    public final boolean isSubQuery()

### isInFrom

    public final boolean isInFrom()

### isInFunctionCall

    public final boolean isInFunctionCall()

### isInSelect

    public final boolean isInSelect()

### isInCase

    public final boolean isInCase()

### getStatementType

    public final int getStatementType()

### getCurrentClauseType

    public final int getCurrentClauseType()

### getCurrentTopLevelClauseType

    public final int getCurrentTopLevelClauseType()

### isComparativeExpressionClause

    public final boolean isComparativeExpressionClause()

### isSelectStatement

    public final boolean isSelectStatement()

### beforeStatement

    void beforeStatement(String statementName,
                         int statementType)

### afterStatementCompletion

    void afterStatementCompletion(String statementName)

### setAlias

    protected void setAlias(antlr.collections.AST se,
                            antlr.collections.AST i)

### statement

    public final void statement(antlr.collections.AST _t)
                         throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### selectStatement

    public final void selectStatement(antlr.collections.AST _t)
                               throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### updateStatement

    public final void updateStatement(antlr.collections.AST _t)
                               throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### deleteStatement

    public final void deleteStatement(antlr.collections.AST _t)
                               throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### insertStatement

    public final void insertStatement(antlr.collections.AST _t)
                               throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### query

    public final void query(antlr.collections.AST _t)
                     throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### fromClause

    public final void fromClause(antlr.collections.AST _t)
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### setClause

    public final void setClause(antlr.collections.AST _t)
                         throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### whereClause

    public final void whereClause(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### intoClause

    public final void intoClause(antlr.collections.AST _t)
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### path

    public final String path(antlr.collections.AST _t)
                      throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### insertablePropertySpec

    public final void insertablePropertySpec(antlr.collections.AST _t)
                                      throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### assignment

    public final void assignment(antlr.collections.AST _t)
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### propertyRef

    public final void propertyRef(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### newValue

    public final void newValue(antlr.collections.AST _t)
                        throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### expr

    public final void expr(antlr.collections.AST _t)
                    throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### selectClause

    public final void selectClause(antlr.collections.AST _t)
                            throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### groupClause

    public final void groupClause(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### orderClause

    public final void orderClause(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### orderExprs

    public final void orderExprs(antlr.collections.AST _t)
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### logicalExpr

    public final void logicalExpr(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### selectExprList

    public final void selectExprList(antlr.collections.AST _t)
                              throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### selectExpr

    public final void selectExpr(antlr.collections.AST _t)
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### aliasedSelectExpr

    public final void aliasedSelectExpr(antlr.collections.AST _t)
                                 throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### identifier

    public final void identifier(antlr.collections.AST _t)
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### aliasRef

    public final void aliasRef(antlr.collections.AST _t)
                        throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### constructor

    public final void constructor(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### functionCall

    public final void functionCall(antlr.collections.AST _t)
                            throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### count

    public final void count(antlr.collections.AST _t)
                     throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### collectionFunction

    public final void collectionFunction(antlr.collections.AST _t)
                                  throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### literal

    public final void literal(antlr.collections.AST _t)
                       throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### arithmeticExpr

    public final void arithmeticExpr(antlr.collections.AST _t)
                              throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### aggregateExpr

    public final void aggregateExpr(antlr.collections.AST _t)
                             throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### fromElementList

    public final void fromElementList(antlr.collections.AST _t)
                               throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### fromElement

    public final void fromElement(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### joinElement

    public final void joinElement(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### joinType

    public final void joinType(antlr.collections.AST _t)
                        throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### pathAsIdent

    public final void pathAsIdent(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### withClause

    public final void withClause(antlr.collections.AST _t)
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### comparisonExpr

    public final void comparisonExpr(antlr.collections.AST _t)
                              throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### exprOrSubquery

    public final void exprOrSubquery(antlr.collections.AST _t)
                              throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### inRhs

    public final void inRhs(antlr.collections.AST _t)
                     throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### collectionFunctionOrSubselect

    public final void collectionFunctionOrSubselect(antlr.collections.AST _t)
                                             throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### addrExpr

    public final void addrExpr(antlr.collections.AST _t,
                               boolean root)
                        throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### constant

    public final void constant(antlr.collections.AST _t)
                        throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### parameter

    public final void parameter(antlr.collections.AST _t)
                         throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### caseExpr

    public final void caseExpr(antlr.collections.AST _t)
                        throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### addrExprLhs

    public final void addrExprLhs(antlr.collections.AST _t)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### propertyName

    public final void propertyName(antlr.collections.AST _t)
                            throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### propertyRefLhs

    public final void propertyRefLhs(antlr.collections.AST _t)
                              throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### numericInteger

    public final void numericInteger(antlr.collections.AST _t)
                              throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20